Subject: bug#78628: closed (Re: bug#78628: Typo in cat synopsis?)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 May 2025 14:51:02 +0000

Your bug report

#78628: Typo in cat synopsis?

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78628: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78628
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78628: Typo in cat synopsis?
From: Pádraig Brady <[email-masked]>
To: A Kiloev <[email-masked]>, [email-masked]
Date: Thu, 29 May 2025 15:50:44 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 29/05/2025 14:39, A Kiloev wrote:
> Hi, i am not sure is it a typo, but shouldn't be ellipsis after OPTION in
> cat synopsis* https://www.gnu.org/software/coreutils/manual/coreutils.html#cat-invocation
> <https://www.gnu.org/software/coreutils/manual/coreutils.html#cat-invocation> ?*
> I asked before on (
> https://unix.stackexchange.com/questions/796402/should-my-cat-utility-support-multiple-keys-simultaneously#
> )
> and they say :
> * "The synopsis in the GNU manual feels like an oversight — the man page
> synopsis comes from GNU cat’s --help option, maintained by the same people,
> and most other commands in the GNU coreutils manual (tac etc.) do include
> an ellipsis. – *
> *Stephen Kitt* <https://unix.stackexchange.com/users/86440/stephen-kitt>
> * ". *
> So is it a type or not?
Indeed, there are a few inconsistencies in the manual:

$ grep '\[@var{option}\] ' doc/coreutils.texi
cat [@var{option}] [@var{file}]@dots{}
split [@var{option}] [@var{input} [@var{prefix}]]
tsort [@var{option}] [@var{file}]
mkfifo [@var{option}] @var{name}@dots{}
sync [@var{option}] [@var{file}]@dots{}
dirname [@var{option}] @var{name}@dots{}
stty [@var{option}] [@var{setting}]@dots{}
printenv [@var{option}] [@var{variable}]@dots{}
@command{who} [@var{option}] [@var{file}] [am i]
@command{pinky} [@var{option}] [@var{username}]@dots{}
timeout [@var{option}] @var{duration} @var{command} [@var{arg}]@dots{}

I'll fix these up.

Marking this as done.

thanks!

Padraig

Subject: Typo in cat synopsis?
From: A Kiloev <[email-masked]>
To: [email-masked]
Date: Thu, 29 May 2025 16:39:53 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, i am not sure is it a typo, but shouldn't be ellipsis after OPTION in
cat synopsis* https://www.gnu.org/software/coreutils/manual/coreutils.html#cat-invocation
<https://www.gnu.org/software/coreutils/manual/coreutils.html#cat-invocation> ?*
I asked before on (
https://unix.stackexchange.com/questions/796402/should-my-cat-utility-support-multiple-keys-simultaneously#
)
and they say :
* "The synopsis in the GNU manual feels like an oversight — the man page
synopsis comes from GNU cat’s --help option, maintained by the same people,
and most other commands in the GNU coreutils manual (tac etc.) do include
an ellipsis. – *
*Stephen Kitt* <https://unix.stackexchange.com/users/86440/stephen-kitt>
* ". *
So is it a type or not?